Bug 978457 - Command '/sbin/service' failed to execute when executing engine-setup-2
Command '/sbin/service' failed to execute when executing engine-setup-2
Status: CLOSED CURRENTRELEASE
Product: otopi
Classification: oVirt
Component: Plugins.services (Show other bugs)
1.0.0
x86_64 Linux
unspecified Severity unspecified (vote)
: ---
: 1.1.0
Assigned To: Alon Bar-Lev
Pavel Stehlik
integration
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 12:26 EDT by David Caro
Modified: 2016-06-26 19:51 EDT (History)
9 users (show)

See Also:
Fixed In Version: is6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oschreib: devel_ack+


Attachments (Terms of Use)
setup log file (192.25 KB, text/x-log)
2013-06-26 12:26 EDT, David Caro
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16101 None None None Never

  None (edit)
Description David Caro 2013-06-26 12:26:56 EDT
Created attachment 765689 [details]
setup log file

Description of problem:

When executing engine-setup-2 on a newly installed machine (rhel 6.4 x86_64), it fails to start postgresql service.

Version-Release number of selected component (if applicable):
rhevm-3.3.0-is3
otopi-1.1.0

How reproducible:
Install rhevm is3 from scratch, run engine-setup-2 and choose default options (except virt as application mode).


Steps to Reproduce:
1.Install rhevm is3
2.Run engine-setup-2
3.Choose default options (except virt as application mode)

Actual results:
[ ERROR ] Failed to execute stage 'Misc configuration': Command '/sbin/service' failed to execute


Expected results:
RHEVM installing correctly

Additional info:
[ INFO  ] Stage: Setup validation
[WARNING] Warning: Not enough available memory on the Host, the minimum requirement is 4096MB, and the recommended is 16384MB).
          Do you want to install with memory less than recommended? (Yes, No) [No]: Yes
         
          --== CONFIGURATION PREVIEW ==--
         
          Database name                      : engine
          Database secured connection        : False
          Database host name validation      : False
          Database host                      : localhost
          Database user name                 : engine
          Datbase port                       : 5432
          NFS setup                          : True
          PKI organization                   : ci.lab.tlv.redhat.com
          NFS mount point                    : /var/lib/exports/iso
          Application mode                   : virt
          Firewall manager                   : iptables
          Host fqdn                          : vm-37-122.ci.lab.tlv.redhat.com
          Datacenter strage type             : nfs
          Configure local database           : True
          Set application as default page    : True
          Configure Apache SSL               : True
         
          Please confirm installation settings (OK, Cancel) [OK]: 
[ INFO  ] Stage: Transaction setup
[ INFO  ] Stopping engine service
[ INFO  ] Stage: Package installation
[ INFO  ] Stage: Misc configuration
[ INFO  ] Creating PostgreSQL database
[ ERROR ] Failed to execute stage 'Misc configuration': Command '/sbin/service' failed to execute
[ INFO  ] Stage: Clean up
          Log file is located at /tmp/ovirt-engine-setup-20130626185912.log
[ INFO  ] Stage: Pre-terminati
Comment 1 Alon Bar-Lev 2013-06-26 12:49:56 EDT
Please do not open bugs for the new setup until we announce this downstream.

We are still working on this.

Thanks!
Comment 2 David Botzer 2013-09-10 07:19:01 EDT
Fixed, 3.3/is13
engine-setup works fine, no need for engine-setup-2
Fixed, 3.3/is13
Comment 4 Itamar Heim 2014-01-21 17:25:22 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:25:58 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:29:30 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.